/*
  ==============================================================================

  This is an automatically generated file created by the Jucer!

  Creation date:  13 Nov 2010 7:18:26pm

  Be careful when adding custom code to these files, as only the code within
  the "//[xyz]" and "//[/xyz]" sections will be retained when the file is loaded
  and re-saved.

  Jucer version: 1.12

  ------------------------------------------------------------------------------

  The Jucer is part of the JUCE library - "Jules' Utility Class Extensions"
  Copyright 2004-6 by Raw Material Software ltd.

  ==============================================================================
*/

//[Headers] You can add your own extra header files here...
#include "synth.h"
//[/Headers]

#include "about.h"


//[MiscUserDefs] You can add your own user definitions and misc code here...
//[/MiscUserDefs]

//==============================================================================
about::about ()
    : hyperlinkButton (0),
      label (0),
      label2 (0),
      cachedImage_logo_png (0)
{
    addAndMakeVisible (hyperlinkButton = new HyperlinkButton (T("___"),
                                                              URL (T("http://tumbetoene.tuxfamily.org"))));
    hyperlinkButton->setTooltip (T("http://tumbetoene.tuxfamily.org"));
    hyperlinkButton->setButtonText (T("___"));
    hyperlinkButton->setColour (HyperlinkButton::textColourId, Colour (0xffaeffc9));

    addAndMakeVisible (label = new Label (T("new label"),
                                          T("Wolpertinger\nA subtractive antialiased synthesizer")));
    label->setFont (Font (15.0000f, Font::plain));
    label->setJustificationType (Justification::topLeft);
    label->setEditable (false, false, false);
    label->setColour (Label::textColourId, Colours::white);
    label->setColour (TextEditor::textColourId, Colours::black);
    label->setColour (TextEditor::backgroundColourId, Colour (0x0));

    addAndMakeVisible (label2 = new Label (T("new label"),
                                           T("v0.x\nBuild date blah\nNative Linux VST")));
    label2->setFont (Font (15.0000f, Font::plain));
    label2->setJustificationType (Justification::centredLeft);
    label2->setEditable (false, false, false);
    label2->setColour (Label::textColourId, Colours::white);
    label2->setColour (TextEditor::textColourId, Colours::black);
    label2->setColour (TextEditor::backgroundColourId, Colour (0x0));

    cachedImage_logo_png = ImageCache::getFromMemory (logo_png, logo_pngSize);

    //[UserPreSize]
    //[/UserPreSize]

    setSize (400, 428);

    //[Constructor] You can add your own custom stuff here..
#define tostring(x) #x
#define stringify(x) tostring(x)
	String buildinfo= String(T("v")) + T(stringify(VERSIONSTRING)) + T("\n") +
					  T("Build Date ") + T(stringify(DATE)) + T("\n") +
					  T(stringify(BINTYPE)) + T(", ") + T(stringify(CONFIGURATION));
    label2->setText(buildinfo, false);
    //[/Constructor]
}

about::~about()
{
    //[Destructor_pre]. You can add your own custom destruction code here..
    //[/Destructor_pre]

    deleteAndZero (hyperlinkButton);
    deleteAndZero (label);
    deleteAndZero (label2);
    //ImageCache::release (cachedImage_logo_png);

    //[Destructor]. You can add your own custom destruction code here..
    //[/Destructor]
}

//==============================================================================
void about::paint (Graphics& g)
{
    //[UserPrePaint] Add your own custom painting code here..
    //[/UserPrePaint]

    g.fillAll (Colour (0xff272727));

    g.setColour (Colours::black);
    g.drawImageWithin (cachedImage_logo_png,
                       295, 17, 93, 98,
                       RectanglePlacement::centred,
                       false);

    //[UserPaint] Add your own custom painting code here..
    //[/UserPaint]
}

void about::resized()
{
    hyperlinkButton->setBounds (341 - ((106) / 2), 30, 106, 100);
    label->setBounds (16, 28, 264, 48);
    label2->setBounds (16, 84, 208, 48);
    //[UserResized] Add your own custom resize handling here..
    //[/UserResized]
}



//[MiscUserCode] You can add your own definitions of your custom methods or any other code here...
//[/MiscUserCode]


//==============================================================================
#if 0
/*  -- Jucer information section --

    This is where the Jucer puts all of its metadata, so don't change anything in here!

BEGIN_JUCER_METADATA

<JUCER_COMPONENT documentType="Component" className="about" componentName="" parentClasses="public Component"
                 constructorParams="" variableInitialisers="" snapPixels="2" snapActive="1"
                 snapShown="0" overlayOpacity="0.330000013" fixedSize="1" initialWidth="400"
                 initialHeight="428">
  <BACKGROUND backgroundColour="ff272727">
    <IMAGE pos="295 17 93 98" resource="logo_png" opacity="1" mode="1"/>
  </BACKGROUND>
  <HYPERLINKBUTTON name="new hyperlink" id="1625319d316ec703" memberName="hyperlinkButton"
                   virtualName="" explicitFocusOrder="0" pos="341c 30 106 100" tooltip="http://tumbetoene.tuxfamily.org"
                   textCol="ffaeffc9" buttonText="___" connectedEdges="0" needsCallback="0"
                   radioGroupId="0" url="http://tumbetoene.tuxfamily.org"/>
  <LABEL name="new label" id="7e2a61a2798f6bbf" memberName="label" virtualName=""
         explicitFocusOrder="0" pos="16 28 264 48" textCol="ffffffff"
         edTextCol="ff000000" edBkgCol="0" labelText="Wolpertinger&#10;A subtractive antialiased synthesizer"
         editableSingleClick="0" editableDoubleClick="0" focusDiscardsChanges="0"
         fontname="Default font" fontsize="15" bold="0" italic="0" justification="9"/>
  <LABEL name="new label" id="799547a0a1e6f1f1" memberName="label2" virtualName=""
         explicitFocusOrder="0" pos="16 84 208 48" textCol="ffffffff"
         edTextCol="ff000000" edBkgCol="0" labelText="v0.x&#10;Build date blah&#10;Native Linux VST"
         editableSingleClick="0" editableDoubleClick="0" focusDiscardsChanges="0"
         fontname="Default font" fontsize="15" bold="0" italic="0" justification="33"/>
</JUCER_COMPONENT>

END_JUCER_METADATA
*/
#endif

//==============================================================================
// Binary resources - be careful not to edit any of these sections!

// JUCER_RESOURCE: logo_png, 6282, "../res/logo.png"
static const unsigned char resource_about_logo_png[] = { 137,80,78,71,13,10,26,10,0,0,0,13,73,72,68,82,0,0,0,161,0,0,0,183,8,6,0,0,0,122,222,62,48,0,0,0,4,115,66,73,84,8,8,8,8,124,8,100,136,0,0,0,9,112,
72,89,115,0,0,15,97,0,0,15,97,1,168,63,167,105,0,0,0,25,116,69,88,116,83,111,102,116,119,97,114,101,0,119,119,119,46,105,110,107,115,99,97,112,101,46,111,114,103,155,238,60,26,0,0,24,7,73,68,65,84,120,
156,237,157,121,156,28,101,153,199,191,61,211,61,61,247,100,38,147,201,73,78,4,2,129,8,73,8,8,129,16,18,174,0,70,99,16,1,69,204,2,18,81,129,15,32,168,172,128,32,200,161,130,136,4,208,5,145,93,92,221,85,
100,57,220,213,221,136,160,168,225,70,136,72,184,9,33,7,33,147,100,50,201,244,177,127,60,85,233,234,154,170,238,234,238,234,122,171,122,222,239,231,83,159,174,234,169,174,122,123,234,215,207,123,61,207,
243,198,178,203,219,209,104,84,82,167,186,0,26,141,22,161,70,57,90,132,26,229,104,17,106,148,163,69,168,81,142,22,161,70,57,90,132,26,229,104,17,106,148,163,69,168,81,142,22,161,70,57,90,132,26,229,104,
17,106,148,163,69,168,81,78,144,34,252,112,128,247,210,68,136,160,68,120,2,240,23,96,114,64,247,211,68,136,32,68,56,22,184,15,72,0,169,0,238,167,137,24,241,0,238,113,20,208,12,100,129,181,1,220,79,83,
2,177,179,123,99,214,227,236,242,246,108,208,101,8,66,132,243,141,215,245,192,206,0,238,167,241,128,69,124,49,219,251,64,176,98,12,66,132,71,26,175,127,11,224,94,154,34,216,196,103,221,64,106,171,44,144,
141,157,221,27,152,16,43,109,19,118,21,249,251,52,96,164,177,255,108,133,247,210,248,71,12,121,246,113,164,173,222,96,108,9,160,254,138,219,175,104,4,98,246,170,186,90,84,34,194,46,224,129,34,231,28,105,
217,127,166,196,235,239,85,226,249,170,153,168,186,0,197,48,68,21,3,234,201,137,175,201,216,26,129,228,189,47,60,240,225,185,103,124,236,6,108,213,116,53,169,68,132,139,129,131,129,150,2,231,204,183,236,
151,98,9,103,0,63,47,167,80,138,232,1,254,64,136,7,255,45,2,52,45,96,3,210,97,108,5,218,128,182,174,177,99,219,118,219,107,210,125,217,108,108,148,113,94,32,214,176,146,127,218,18,228,75,13,119,249,123,
28,56,220,114,188,186,132,107,223,0,108,47,179,92,42,216,31,24,135,252,40,195,140,213,10,54,33,226,235,0,58,129,246,235,238,191,233,228,186,250,186,73,153,76,166,14,67,132,65,20,170,92,17,14,7,142,48,
246,221,198,254,14,68,190,164,201,54,143,215,62,4,152,11,188,83,86,201,212,48,204,120,253,184,210,82,184,224,96,5,147,136,5,236,64,154,85,93,141,173,173,93,147,247,153,114,46,64,38,147,49,207,141,89,62,
95,53,202,237,29,207,178,124,54,237,114,142,181,61,184,29,200,120,188,246,215,140,215,40,137,176,195,120,157,163,180,20,133,49,173,160,217,14,108,195,176,128,64,253,178,111,159,191,111,67,99,114,60,64,
54,155,53,69,104,126,174,170,189,228,114,69,184,159,101,223,77,132,71,88,246,251,60,94,119,36,112,140,177,255,118,169,133,82,136,105,9,199,43,45,133,59,166,168,76,17,182,32,226,235,50,94,235,14,62,118,
206,241,230,201,217,76,214,62,116,83,85,202,173,142,247,181,236,59,85,199,73,242,219,71,93,228,30,84,33,142,34,247,197,253,182,132,29,197,79,169,248,218,61,200,119,15,13,182,170,56,129,244,130,91,145,
231,209,9,116,238,115,224,190,187,141,154,56,118,250,174,15,101,179,129,9,16,202,23,161,213,18,58,21,246,96,228,203,90,207,153,229,225,186,199,88,246,253,20,225,167,129,223,147,223,70,245,19,83,132,49,
96,183,42,221,163,92,76,65,89,123,196,237,228,68,56,236,212,75,206,154,27,139,197,118,105,33,232,121,187,114,68,152,32,127,12,207,233,26,115,29,222,187,26,152,80,224,186,49,96,129,229,216,79,17,46,6,166,
3,247,22,56,103,10,176,146,242,254,39,86,43,27,154,42,217,97,92,176,137,252,14,73,103,103,79,87,247,236,99,14,181,25,136,240,91,194,61,145,95,84,161,107,28,225,240,222,44,224,85,224,81,228,159,98,103,
6,48,194,114,236,103,155,112,154,241,122,130,177,57,49,211,40,195,71,11,92,167,7,248,23,224,125,224,63,44,239,91,45,108,40,44,97,129,113,193,93,61,98,96,216,153,87,126,105,86,178,41,169,180,9,81,142,8,
247,179,29,219,175,49,6,247,241,178,58,228,129,57,245,148,173,189,233,205,120,31,210,41,70,29,249,214,233,122,156,59,100,221,198,235,213,56,183,235,102,33,150,242,179,72,53,54,205,242,55,171,8,67,99,9,
201,239,17,155,213,112,39,134,8,39,238,61,121,244,177,159,93,180,111,129,207,7,66,57,34,156,102,59,158,100,59,62,7,49,253,110,92,129,115,179,227,48,203,190,159,85,241,56,91,121,246,4,206,118,56,207,236,
193,79,5,110,33,55,8,159,0,206,3,30,35,223,202,173,183,236,135,74,132,182,106,56,78,126,103,100,56,242,131,235,60,255,251,151,205,74,36,27,6,255,32,3,110,20,150,35,194,125,108,199,214,170,55,137,243,3,
54,121,6,184,223,165,28,135,88,142,253,172,138,237,63,18,128,203,25,220,91,182,206,208,252,19,176,6,120,9,177,200,223,37,191,9,2,249,34,108,181,236,143,46,171,148,254,98,29,146,73,146,171,134,135,35,77,
158,238,121,39,29,179,251,140,121,179,71,57,125,56,155,187,198,174,173,154,3,214,165,138,176,14,105,55,89,89,132,60,132,118,224,135,228,183,235,236,184,89,193,233,228,139,194,79,75,56,209,225,189,110,
224,171,182,247,236,211,132,13,72,7,204,205,170,111,180,236,91,45,161,82,17,218,172,160,181,29,104,10,112,68,115,91,75,207,23,174,187,208,189,26,206,13,86,91,167,239,98,177,179,123,171,34,198,82,7,171,
79,64,220,245,173,28,8,188,128,124,225,66,15,224,57,156,173,32,192,209,182,99,63,69,232,54,62,248,101,224,54,224,53,227,184,84,135,219,247,45,251,94,68,120,39,240,21,242,197,235,27,22,113,88,7,165,205,
153,145,46,68,128,35,129,158,139,110,187,252,128,145,19,198,52,58,94,8,48,230,142,205,112,140,24,210,134,55,183,172,223,142,175,165,90,194,115,93,222,159,64,113,11,112,27,206,86,176,158,193,85,184,159,
34,116,235,249,37,129,107,45,199,229,138,112,18,82,11,152,244,48,248,255,58,25,248,28,210,105,243,29,23,1,54,146,47,192,81,192,200,163,79,59,113,207,5,167,44,44,248,172,210,3,169,122,100,86,165,5,177,
164,77,88,252,13,241,217,91,168,148,139,77,36,191,7,91,42,189,46,239,159,192,224,42,115,93,5,247,177,227,250,139,7,78,2,62,98,236,151,42,194,37,136,195,194,77,228,143,169,213,51,184,73,114,138,113,78,
55,62,99,27,138,177,90,64,115,90,206,20,224,168,9,83,39,79,248,242,77,151,218,59,150,131,175,89,23,235,49,202,58,156,220,212,94,43,242,191,76,224,179,155,87,41,213,177,249,143,44,151,3,24,60,88,60,6,248,
182,195,185,235,29,222,43,151,66,34,4,169,38,15,33,223,154,121,225,0,242,199,10,173,140,6,222,179,28,239,109,188,250,42,66,135,177,64,171,139,86,23,82,253,142,1,198,76,217,119,143,41,55,62,114,251,161,
237,93,29,69,159,249,176,238,206,253,126,181,230,247,63,202,164,51,91,235,234,235,210,245,241,250,116,60,30,79,213,39,226,233,120,34,158,202,102,51,207,28,217,116,192,55,128,140,31,97,0,165,136,176,210,
30,235,121,192,187,192,131,192,14,100,220,237,155,192,135,28,206,13,82,132,83,129,95,3,111,249,120,207,221,200,247,36,55,191,163,111,34,116,24,134,177,183,1,123,144,246,251,184,15,237,191,247,158,55,62,
124,219,188,174,145,221,158,7,165,187,71,143,112,237,184,164,211,233,9,228,58,153,21,183,11,75,17,225,131,192,235,148,239,198,94,135,12,20,95,239,225,220,32,69,8,112,168,143,247,3,233,172,153,161,15,245,
228,134,181,220,28,128,75,194,65,128,73,164,253,102,21,224,232,166,182,150,137,159,191,250,188,5,11,151,46,222,175,177,185,209,105,150,170,60,178,217,148,113,111,55,15,170,146,40,69,132,27,145,84,30,63,
0,62,69,245,92,217,211,228,247,60,43,69,197,148,212,71,44,251,115,16,11,5,62,136,208,161,13,104,10,176,221,184,126,79,34,145,24,115,202,87,150,206,251,196,185,167,44,232,28,217,221,234,126,181,242,200,
164,179,219,241,209,213,171,212,33,154,205,192,105,200,240,198,2,100,104,101,62,50,43,225,23,27,240,119,204,62,240,96,110,96,54,50,61,214,0,220,108,121,223,207,54,161,213,75,186,5,99,54,100,159,131,166,
127,232,218,251,111,185,168,179,103,184,47,86,215,137,116,42,181,30,31,29,28,202,117,106,221,136,164,246,184,207,56,158,132,76,187,29,110,108,149,228,156,241,179,42,6,232,247,249,122,38,111,227,254,227,
107,65,102,92,210,228,7,130,245,248,116,111,123,103,164,17,25,74,105,155,187,120,193,135,253,16,224,230,13,155,250,251,182,244,245,215,213,215,167,226,137,250,84,60,145,24,136,55,36,118,198,19,241,212,
182,45,91,159,194,199,31,183,95,193,239,175,25,219,221,198,241,33,192,89,200,48,70,147,219,135,92,240,91,132,59,124,190,30,192,243,200,112,213,89,192,85,46,231,56,181,69,247,247,185,28,214,153,141,122,
160,238,103,223,253,201,170,223,221,247,240,221,3,59,7,122,82,3,169,158,76,58,61,188,161,169,177,227,218,95,125,127,216,232,73,227,60,89,175,215,95,92,189,126,233,140,79,252,122,71,255,142,45,192,7,200,
51,89,139,252,176,214,25,239,101,240,73,136,213,202,192,240,184,177,157,135,56,148,126,30,233,133,122,97,42,210,176,255,139,79,101,169,134,37,188,0,121,48,119,225,46,66,39,70,32,181,196,171,62,149,35,
139,136,33,133,252,216,182,111,88,179,238,253,13,107,214,53,34,194,76,98,196,20,255,227,217,85,233,209,147,198,121,122,222,155,55,126,240,238,142,254,29,175,32,243,230,166,16,55,34,99,189,253,198,253,
124,19,97,181,227,100,55,33,109,162,105,192,25,120,27,230,25,133,196,240,158,227,83,25,252,22,225,38,96,133,177,95,206,20,220,108,159,202,97,138,111,39,50,239,109,21,203,70,164,156,91,140,191,13,196,136,
121,22,76,67,67,98,35,18,162,251,42,240,6,50,131,181,1,17,225,118,96,0,239,129,107,69,9,42,88,59,131,88,141,61,128,75,113,159,61,49,105,0,110,5,238,65,218,58,149,224,119,117,252,0,185,184,154,114,28,88,
253,16,161,221,2,110,67,58,141,27,17,177,108,192,38,194,120,67,33,239,186,124,226,201,134,13,192,155,200,216,169,89,5,111,2,182,26,247,219,101,9,253,152,63,14,58,99,192,118,100,190,118,10,98,33,139,229,
43,60,13,113,36,157,89,224,28,115,252,209,13,191,45,161,53,245,201,2,215,179,220,169,168,93,104,60,116,83,132,105,196,18,246,33,2,217,140,88,195,205,136,0,251,48,68,211,214,233,125,66,168,33,153,220,136,
52,55,54,32,195,101,155,141,235,247,147,179,130,190,8,16,212,165,173,216,128,12,243,204,2,158,46,114,238,84,224,79,192,149,12,118,171,170,71,220,237,47,36,223,167,207,138,223,34,124,221,178,127,82,25,
159,159,94,252,148,194,88,132,152,38,191,74,238,179,108,253,198,251,105,32,211,58,172,205,243,179,174,79,212,153,162,219,138,88,217,237,228,44,96,26,31,171,98,80,159,59,229,25,164,19,242,53,10,87,155,
113,224,50,196,201,244,50,164,141,121,12,50,119,251,25,227,28,183,12,97,126,87,199,102,239,253,99,228,167,57,241,74,7,206,142,182,37,225,96,17,83,136,149,218,73,190,88,178,0,173,237,109,158,199,245,178,
196,204,106,119,167,113,77,243,122,105,12,11,232,103,218,56,213,34,4,249,130,223,66,170,169,63,21,57,119,10,98,17,159,7,30,38,63,40,201,77,132,3,149,22,208,198,190,72,52,225,205,69,206,43,132,215,100,
0,5,177,9,113,151,191,31,14,61,215,166,182,102,207,34,140,101,217,74,78,196,187,196,236,183,248,76,130,72,146,233,149,151,144,57,220,47,33,193,70,165,118,72,220,6,130,253,206,14,251,11,42,155,10,124,140,
124,15,155,74,201,50,56,85,71,158,103,116,44,22,139,53,181,122,23,97,58,147,217,129,37,97,102,181,147,101,134,193,18,90,201,0,223,67,172,226,11,37,126,118,162,203,251,126,139,176,18,1,110,160,112,12,78,
37,216,51,176,238,18,97,83,91,75,188,174,206,251,163,142,145,53,219,124,145,200,212,90,45,94,70,134,50,10,5,171,219,113,107,103,133,37,79,246,253,136,55,205,139,85,188,199,32,1,2,177,230,150,166,146,158,
115,38,155,241,109,32,218,11,97,21,33,72,187,233,52,224,11,120,19,146,155,8,253,110,19,150,202,7,72,172,242,34,252,245,24,119,194,73,132,117,141,45,205,37,61,231,88,54,230,139,139,150,87,194,44,66,147,
91,17,231,136,98,78,167,110,78,152,170,44,225,31,16,241,141,35,55,167,94,77,172,33,154,117,214,227,198,150,210,124,9,211,98,9,3,35,10,34,4,248,51,226,78,95,104,62,121,111,156,103,35,130,20,225,26,224,
26,100,102,232,48,68,124,126,101,146,240,138,41,192,92,155,176,100,75,168,69,232,198,6,224,68,100,46,211,13,167,249,230,106,87,45,3,192,127,2,199,35,217,23,190,10,252,163,202,247,180,99,95,14,34,175,77,
216,88,66,207,24,32,155,169,250,255,44,143,40,137,16,100,104,227,4,100,74,202,137,79,146,91,178,194,164,226,129,97,23,158,3,206,71,2,137,22,35,225,15,129,62,60,7,236,98,140,1,177,166,230,198,80,63,231,
80,23,206,133,231,129,147,113,126,224,141,136,24,172,19,165,7,248,120,239,77,72,27,117,38,50,253,246,61,196,66,135,9,171,37,148,204,9,245,245,229,120,65,231,165,0,9,83,26,144,176,240,16,226,149,227,196,
12,196,201,96,22,112,28,238,1,251,165,240,63,72,92,205,24,164,183,254,164,15,215,244,27,183,42,185,228,88,144,76,42,157,215,177,161,202,98,140,170,8,65,220,188,220,56,12,233,196,60,72,229,217,89,239,66,
210,24,223,71,245,66,5,42,193,46,188,122,203,86,214,82,16,137,166,198,17,200,108,154,185,229,93,203,111,33,70,89,132,197,124,18,253,224,13,196,219,39,148,56,68,222,153,49,39,214,173,62,153,76,148,244,
156,27,155,147,147,49,86,120,50,54,107,10,16,223,179,116,69,89,132,149,164,36,241,66,22,241,6,15,66,236,37,99,17,160,53,29,112,18,17,143,185,76,88,3,16,63,242,83,11,75,154,135,111,29,214,126,40,198,42,
79,72,160,86,19,208,240,207,247,94,219,253,219,173,79,158,124,247,179,247,151,154,173,162,32,81,21,225,129,136,75,87,53,185,9,248,191,42,223,163,82,204,132,232,102,196,93,11,185,101,194,90,128,166,189,
102,78,107,59,248,216,57,94,18,0,236,162,165,189,117,250,45,43,238,62,3,9,91,237,0,90,239,248,243,191,45,152,127,242,241,43,27,91,154,126,58,124,68,231,112,124,180,134,177,236,114,95,69,29,4,159,68,28,
89,75,141,226,43,133,151,144,94,117,24,219,128,86,43,104,205,69,221,137,120,18,141,7,38,239,119,200,254,51,22,46,93,60,227,232,211,78,28,27,79,196,203,18,75,127,95,255,59,155,214,174,127,162,163,187,115,
108,115,123,235,65,64,170,175,119,203,37,71,117,204,190,25,139,111,97,165,223,39,76,174,92,197,136,3,215,33,99,115,213,36,133,68,8,134,82,128,22,204,142,130,153,14,216,204,194,208,113,215,51,191,60,99,
247,233,123,86,60,62,218,216,220,56,118,244,228,221,22,3,100,210,233,247,255,254,244,170,165,103,206,90,242,91,124,206,236,31,149,234,120,52,82,53,86,91,128,32,33,156,97,28,130,177,98,205,71,104,86,199,
102,120,103,243,79,174,185,227,233,213,207,191,236,91,42,149,237,91,251,86,253,248,202,91,23,157,57,107,201,227,248,148,4,201,74,20,170,227,57,192,191,35,161,160,213,102,37,178,242,64,177,0,44,165,196,
206,238,53,173,160,89,21,15,35,151,133,107,188,185,77,63,108,230,148,227,78,95,52,126,254,201,199,181,39,155,27,203,178,94,107,94,125,235,55,23,46,92,246,245,55,87,173,126,143,252,96,167,52,248,147,173,
53,236,150,240,2,224,127,9,70,128,32,193,250,161,22,160,65,214,242,106,13,253,52,163,238,122,129,77,207,62,186,242,157,107,150,126,125,245,169,123,31,255,214,159,31,121,172,36,71,142,76,38,155,254,227,
67,143,222,122,210,148,163,47,123,115,213,234,77,198,245,77,241,101,65,93,186,224,160,104,69,172,223,141,4,215,110,125,16,201,26,17,21,172,2,236,71,188,117,204,148,29,239,34,30,61,239,2,239,173,125,99,
205,250,139,142,63,231,237,255,190,247,1,79,237,220,29,253,59,182,221,243,173,229,151,93,188,240,243,247,144,91,83,198,247,204,11,38,97,236,152,76,69,162,232,188,166,13,241,131,44,185,37,110,163,130,25,
242,57,128,8,100,11,185,88,147,20,185,232,187,20,144,206,164,211,233,171,62,115,105,58,158,72,140,157,119,210,49,174,227,134,155,223,223,188,246,59,203,174,184,252,119,63,123,228,89,36,230,216,204,186,
96,70,241,249,26,115,12,225,19,225,34,100,58,206,247,156,122,69,184,15,120,54,224,123,150,77,118,121,187,153,65,223,180,132,38,214,56,100,115,51,133,152,202,100,50,3,151,159,122,113,127,115,91,203,196,
131,142,157,51,104,58,243,221,215,222,126,241,146,19,207,189,114,245,11,47,191,134,8,208,204,224,80,53,1,66,184,58,38,167,3,63,194,121,221,187,106,146,66,172,238,43,1,223,183,98,92,114,86,155,195,53,29,
72,62,196,81,72,135,101,44,210,121,233,72,36,19,201,27,30,186,125,159,25,243,102,239,114,123,251,251,147,127,91,241,197,121,167,223,208,215,219,183,150,92,10,145,188,0,122,170,20,121,23,150,54,225,50,
100,0,58,104,1,130,8,63,114,2,132,65,113,199,214,206,73,47,146,151,230,61,36,153,209,27,228,210,247,189,54,176,99,224,213,11,143,59,235,151,79,60,244,232,95,179,153,108,230,177,7,86,220,187,116,230,146,
171,250,122,251,222,70,92,211,54,99,73,33,66,21,5,8,225,176,132,95,33,127,61,145,160,57,16,248,171,194,251,87,140,109,29,19,123,6,87,51,141,240,8,114,203,65,196,145,106,122,203,212,153,211,118,190,180,
242,133,215,201,229,156,217,70,174,39,108,6,212,251,214,19,118,44,191,98,17,126,19,248,186,194,251,103,144,246,167,125,73,177,72,226,80,61,155,235,218,181,33,213,115,187,113,28,71,44,220,54,196,106,246,
146,75,160,100,77,35,82,245,192,119,80,219,49,249,26,106,5,104,18,150,38,73,197,184,116,88,204,84,30,59,144,49,196,36,242,157,205,247,250,144,31,161,57,8,93,245,234,215,142,42,75,56,9,113,18,80,186,216,
179,193,97,72,120,102,205,224,226,103,104,250,4,198,141,247,51,136,232,172,155,57,16,29,152,0,65,157,21,88,70,56,4,8,254,184,255,135,10,135,14,139,153,58,110,43,82,237,110,70,170,96,51,237,91,213,123,
192,133,80,37,66,251,154,201,42,89,130,4,169,215,20,14,169,227,204,180,113,253,72,53,108,166,126,219,149,70,174,90,89,183,138,161,170,77,184,85,209,125,157,136,33,195,67,159,4,126,3,60,133,36,238,116,
11,43,141,12,166,160,140,118,162,153,189,43,239,20,251,185,42,80,213,38,188,4,201,84,16,86,178,72,0,251,83,136,91,215,83,72,66,79,63,87,154,210,24,168,178,132,197,82,4,171,38,134,164,242,216,3,137,113,
54,121,7,137,123,126,206,242,186,138,240,100,254,138,36,170,44,97,51,242,0,167,168,184,185,207,164,128,191,35,223,231,47,192,163,200,60,180,234,108,12,145,65,229,96,245,161,192,239,169,161,113,58,11,189,
136,91,216,163,200,119,92,137,250,20,117,161,69,245,140,201,117,192,69,42,11,16,16,125,192,19,136,40,31,70,166,9,149,117,4,194,134,106,17,130,164,213,184,1,111,235,18,215,10,107,144,84,37,247,35,158,227,
213,88,127,47,50,132,65,132,32,75,66,252,43,238,137,46,107,153,45,192,35,136,32,31,66,220,168,134,20,97,17,33,72,143,116,46,226,87,184,152,224,29,91,195,64,10,169,174,111,67,132,25,104,178,74,85,132,73,
132,86,90,128,143,35,235,148,44,32,63,213,219,80,225,13,224,14,196,223,113,173,226,178,84,149,176,138,208,74,2,17,226,55,16,223,191,161,198,0,82,85,255,128,220,234,162,53,69,20,134,71,6,144,182,210,108,
224,98,197,101,81,65,2,248,4,18,252,31,84,252,117,160,68,65,132,86,174,7,150,171,46,132,66,150,32,235,160,44,85,93,16,63,137,154,8,65,214,182,27,202,3,191,157,192,157,200,208,206,238,138,203,226,11,81,
20,225,26,36,46,121,168,115,4,50,61,56,95,117,65,42,37,138,34,4,113,185,210,200,28,252,3,200,178,187,145,37,170,34,172,41,119,252,10,105,4,126,5,44,84,93,144,114,137,170,8,87,35,121,86,52,66,18,89,208,
231,163,197,78,12,35,81,21,33,200,186,193,154,28,13,192,207,145,84,42,145,34,202,34,12,122,233,174,40,144,64,114,249,236,161,186,32,165,16,101,17,174,81,93,128,144,98,166,213,11,75,52,99,81,180,8,107,
147,233,192,119,84,23,194,43,81,22,161,238,152,20,102,25,50,221,23,122,180,8,107,155,59,169,222,42,167,190,17,101,17,174,83,93,128,8,208,129,196,84,135,154,40,139,112,59,193,175,170,30,69,14,71,22,4,15,
45,81,22,33,72,146,112,77,113,174,33,196,207,58,180,5,243,136,22,161,55,166,1,159,81,93,8,55,162,46,66,221,46,244,206,149,132,52,162,49,234,34,252,147,234,2,68,136,221,128,47,170,46,132,19,81,23,225,67,
170,11,16,49,46,69,82,7,135,138,168,139,240,25,106,60,18,205,103,58,145,20,120,161,34,234,34,204,34,241,185,26,239,124,78,117,1,236,68,93,132,0,119,171,46,64,196,56,152,96,151,108,43,74,45,136,112,5,226,
89,172,241,78,168,172,97,45,136,16,224,66,116,162,202,82,248,52,33,90,215,176,86,68,184,26,248,174,234,66,68,136,145,132,104,42,175,86,68,8,112,53,218,219,186,20,62,165,186,0,38,181,36,194,45,200,175,
123,200,165,86,43,147,195,85,23,192,164,150,68,8,240,50,226,200,57,148,51,52,120,101,36,176,167,234,66,64,237,137,16,36,61,198,50,213,133,136,8,135,169,46,0,212,166,8,65,60,138,111,84,93,136,8,160,69,
88,101,46,70,82,100,104,220,209,34,172,50,25,224,20,36,105,144,198,153,241,192,4,213,133,168,101,17,130,172,161,119,2,218,201,161,16,211,85,23,160,214,69,8,240,22,112,34,53,178,186,123,21,24,161,186,0,
67,65,132,32,139,215,232,25,21,103,186,85,23,96,168,136,16,224,102,134,248,162,53,46,104,17,6,200,123,192,79,84,23,34,132,104,17,6,204,13,170,11,16,66,180,8,3,230,101,116,7,197,142,22,161,2,122,85,23,
32,100,40,111,39,107,17,106,222,81,93,0,45,66,141,22,161,2,82,170,11,16,50,180,8,21,48,89,117,1,66,134,242,140,183,67,77,132,93,132,96,154,42,100,104,75,24,48,165,120,18,191,128,172,185,124,42,240,183,
234,20,39,20,188,170,186,0,161,9,251,11,8,175,34,92,7,204,35,151,122,238,191,128,95,19,162,184,12,159,88,79,8,60,140,180,37,116,230,86,242,115,31,246,34,22,113,179,239,37,82,75,40,124,45,181,8,7,211,143,
136,208,206,59,192,5,254,22,71,57,90,132,10,152,229,225,156,159,226,158,1,246,199,212,214,10,163,202,219,131,48,180,68,56,5,24,231,225,188,98,43,203,159,137,120,108,215,2,49,213,5,128,161,37,66,47,157,
138,94,224,169,34,231,188,5,220,81,121,113,66,65,66,117,1,96,104,137,240,104,15,231,252,17,9,144,42,198,205,64,186,178,226,132,130,179,9,65,30,235,161,34,194,131,128,37,30,206,243,186,152,247,235,212,
70,58,186,189,128,39,129,219,144,116,113,123,169,40,196,80,16,97,11,242,79,246,210,254,89,89,194,117,107,37,102,101,111,196,34,254,8,120,17,184,157,128,117,81,203,34,172,3,150,34,153,186,188,134,53,246,
149,112,253,199,145,0,170,90,34,134,116,188,190,16,228,77,107,73,132,117,136,216,150,1,247,2,111,32,233,64,70,151,112,141,82,219,121,145,89,206,181,68,174,6,198,6,117,179,168,139,48,9,44,68,198,239,214,
33,217,252,127,128,100,94,240,50,28,99,231,18,160,167,132,243,127,65,109,174,42,213,6,156,22,212,205,162,56,119,28,3,22,33,29,141,227,241,119,93,142,19,17,81,175,0,158,7,94,49,182,213,72,222,195,36,210,
155,76,34,98,253,56,181,235,149,19,88,175,57,106,34,28,15,220,5,28,81,197,123,212,3,71,26,219,80,38,176,49,196,40,137,176,25,89,193,105,31,213,5,25,34,60,17,212,141,162,212,38,156,138,22,96,80,220,137,
184,175,5,66,148,44,225,211,192,45,192,89,64,131,226,178,4,193,139,72,74,223,225,1,220,235,109,100,208,250,41,100,214,232,183,1,220,115,23,177,236,242,246,32,239,231,7,29,192,92,100,232,165,27,105,39,
238,101,108,181,208,73,200,0,223,64,134,73,178,72,76,204,52,96,34,48,201,216,38,34,29,163,172,113,126,198,182,111,110,219,144,14,213,7,182,87,115,127,61,240,28,138,151,236,141,162,8,11,49,28,56,7,201,
210,26,186,213,44,61,240,62,178,0,98,160,150,72,53,81,106,19,122,97,35,112,21,176,59,240,67,188,57,35,132,133,39,128,217,12,49,1,66,237,89,66,59,115,129,123,40,111,224,186,92,210,136,119,246,14,227,181,
31,89,99,101,171,177,217,247,63,0,30,164,182,131,169,10,18,165,142,73,57,172,0,246,0,230,0,243,145,144,207,148,177,13,184,236,239,36,95,68,165,190,214,130,139,87,160,212,186,37,212,68,128,90,107,19,106,
34,136,22,161,70,57,90,132,26,229,104,17,106,148,163,69,168,81,142,22,161,70,57,90,132,26,229,104,17,106,148,163,69,168,81,142,22,161,70,57,90,132,26,229,104,17,106,148,163,69,168,81,142,22,161,70,57,
90,132,26,229,104,17,106,148,163,69,168,81,142,22,161,70,57,90,132,26,229,104,17,106,148,243,255,18,140,241,0,42,168,89,97,0,0,0,0,73,69,78,68,174,66,96,130,0,0};

const char* about::logo_png = (const char*) resource_about_logo_png;
const int about::logo_pngSize = 6282;

// JUCER_RESOURCE: icon_png, 10599, "../res/icon.png"
static const unsigned char resource_about_icon_png[] = { 137,80,78,71,13,10,26,10,0,0,0,13,73,72,68,82,0,0,1,28,0,0,1,28,8,6,0,0,0,21,244,11,224,0,0,0,4,115,66,73,84,8,8,8,8,124,8,100,136,0,0,0,9,112,
72,89,115,0,0,15,97,0,0,15,97,1,168,63,167,105,0,0,0,25,116,69,88,116,83,111,102,116,119,97,114,101,0,119,119,119,46,105,110,107,115,99,97,112,101,46,111,114,103,155,238,60,26,0,0,32,0,73,68,65,84,120,
156,237,221,119,124,213,213,253,199,241,215,185,59,55,9,18,70,0,21,217,1,4,28,200,146,37,32,46,192,186,104,69,235,170,173,85,171,182,197,182,214,249,211,214,213,90,173,182,213,46,71,165,173,117,85,165,
14,172,40,138,10,40,197,129,136,10,1,65,101,201,12,35,235,230,142,243,251,227,134,144,113,111,114,199,247,230,59,238,231,249,120,228,1,33,151,155,147,228,126,223,249,156,243,61,67,105,173,177,27,165,84,
87,96,16,48,176,254,173,12,232,4,20,1,197,141,222,10,204,106,163,16,89,168,1,246,53,122,171,4,118,1,229,192,234,253,111,90,235,109,166,181,48,67,202,234,129,163,148,114,3,199,0,147,128,201,192,104,160,
196,204,54,9,97,17,21,192,82,224,13,96,33,240,190,214,58,106,106,139,218,96,201,192,81,74,117,2,102,1,211,128,9,64,7,115,91,36,132,45,236,5,222,6,230,1,79,104,173,119,153,220,158,22,44,19,56,74,41,47,
241,128,185,16,152,14,248,204,109,145,16,182,86,7,188,4,204,1,230,105,173,195,38,183,7,176,64,224,40,165,14,6,174,38,30,52,93,76,109,140,16,206,180,131,120,240,252,86,107,189,217,204,134,152,22,56,74,
169,190,192,53,192,69,128,223,148,70,8,145,95,66,192,163,192,93,90,235,117,102,52,160,221,3,71,41,213,31,184,133,248,24,141,187,93,63,185,16,2,32,10,60,1,220,162,181,94,219,158,159,184,221,2,71,41,21,
0,174,39,94,213,72,69,35,132,249,66,192,93,192,29,90,235,218,246,248,132,237,18,56,74,169,233,192,31,128,62,57,255,100,66,136,116,173,7,174,210,90,191,148,235,79,148,211,192,81,74,117,6,30,4,206,200,217,
39,17,66,24,229,57,224,18,173,245,206,92,125,130,156,5,142,82,106,60,240,56,112,104,78,62,129,16,34,23,54,2,231,104,173,23,229,226,201,93,70,63,161,138,187,142,248,204,71,9,27,33,236,229,80,96,161,82,
234,58,165,148,50,250,201,13,173,112,148,82,37,196,71,191,79,52,236,73,133,16,102,153,15,204,210,90,87,24,245,132,134,5,78,253,4,190,87,128,161,134,60,161,16,194,10,86,2,39,25,53,97,208,144,46,149,82,
170,12,88,130,132,141,16,78,51,20,88,82,127,141,103,45,235,192,81,74,141,0,22,3,189,178,111,142,16,194,130,122,1,139,235,175,245,172,100,213,165,170,111,192,235,196,247,158,17,66,56,219,62,96,138,214,
250,189,76,159,32,227,192,169,47,177,22,35,11,46,133,200,39,59,128,113,90,235,242,76,254,115,70,93,170,250,1,226,249,72,216,8,145,111,186,0,243,235,51,32,109,105,7,78,253,173,239,87,144,49,27,33,242,85,
47,224,149,250,44,72,75,90,129,83,63,17,232,9,228,110,148,16,249,110,40,240,68,186,147,3,211,173,112,174,69,38,245,9,33,226,78,36,158,9,41,75,121,208,184,126,109,212,66,28,188,135,205,192,110,46,202,183,
197,176,200,174,171,66,216,65,20,152,148,234,218,171,148,42,156,250,85,223,143,227,224,176,185,253,116,63,159,253,162,136,75,39,200,86,202,66,164,193,13,60,94,159,17,109,74,181,75,245,32,14,94,136,121,
252,32,15,215,159,226,71,41,24,217,219,177,153,42,68,174,28,74,60,35,218,212,102,224,212,111,158,229,216,253,108,10,188,240,224,249,129,134,247,183,238,141,153,216,26,33,108,235,140,250,172,104,85,171,
129,83,191,45,232,31,12,107,146,5,77,31,230,165,79,151,3,223,134,141,187,101,0,71,136,12,253,161,62,51,146,106,171,194,185,30,135,111,11,250,205,99,60,77,222,223,176,75,42,28,33,50,212,135,120,102,36,
149,52,112,234,79,87,184,198,232,22,89,73,129,23,166,15,107,26,56,27,43,164,194,17,34,11,215,212,103,71,66,173,85,56,183,224,240,211,21,166,13,243,82,232,111,58,111,233,139,157,82,225,8,145,5,63,241,236,
72,40,97,224,212,31,82,55,43,71,13,178,140,230,221,169,141,21,49,42,170,165,194,17,34,75,179,234,51,164,133,100,21,206,53,56,120,206,13,128,215,221,178,59,181,98,147,84,55,66,24,192,77,146,225,152,22,
129,83,191,10,244,162,28,55,200,80,3,187,185,112,167,185,72,227,168,158,110,138,154,117,167,62,218,16,53,176,85,66,228,181,139,18,173,40,79,116,153,94,141,141,198,110,2,94,120,117,118,144,126,93,211,75,
156,99,251,182,44,224,140,174,112,140,223,243,94,8,219,240,19,207,146,38,154,92,165,74,41,47,112,97,123,181,200,8,23,140,241,209,179,196,197,144,131,211,11,156,177,253,90,6,206,71,27,141,171,112,166,14,
246,240,187,179,91,157,146,144,183,198,245,115,51,101,144,167,237,7,10,187,187,176,62,83,26,52,191,74,167,97,179,77,181,206,30,17,127,225,14,61,56,189,33,167,230,129,83,27,134,242,173,198,84,56,67,15,
118,241,204,101,5,84,215,201,0,116,34,183,158,230,231,225,11,2,120,12,63,21,77,88,76,23,226,153,210,160,249,143,220,86,213,77,105,177,226,184,178,120,224,12,40,77,253,213,123,72,71,69,207,146,166,143,
255,116,75,148,168,65,61,170,191,156,87,64,135,128,98,203,30,9,156,230,74,130,241,159,89,239,206,46,102,28,33,85,78,30,104,146,41,13,87,157,82,170,19,208,230,90,8,43,57,107,184,183,97,176,216,149,198,
120,201,216,126,45,95,232,219,247,25,19,14,199,149,185,27,170,39,9,156,150,74,139,85,195,207,74,186,85,121,97,122,125,182,0,77,43,156,89,128,173,246,102,248,214,136,3,47,216,104,26,215,118,162,241,155,
42,131,186,63,55,76,59,48,222,190,101,143,220,102,111,174,99,240,192,111,134,137,3,28,61,243,66,196,249,104,52,167,175,113,224,76,107,249,88,235,234,84,168,152,56,160,81,224,164,113,109,39,186,67,85,21,
202,190,77,35,123,187,57,97,240,129,54,109,146,101,18,45,52,14,156,97,135,184,155,188,47,28,171,33,91,92,0,74,41,55,48,193,180,230,100,96,108,63,119,147,110,84,170,129,83,224,133,225,135,229,166,194,105,
92,221,0,108,218,45,21,78,115,29,11,14,252,208,92,10,6,119,151,145,227,60,48,161,62,99,26,42,156,99,128,14,230,181,39,125,227,251,55,13,141,104,44,181,192,56,182,159,7,111,130,74,62,219,10,231,176,78,
46,190,209,104,16,116,71,165,38,20,201,238,57,157,168,121,69,211,179,147,4,78,30,232,64,60,99,26,2,103,146,105,77,201,208,184,102,3,191,169,86,56,147,202,18,143,27,212,69,178,171,112,78,30,226,105,50,
209,79,170,155,196,26,87,56,0,135,117,146,46,85,158,152,4,7,2,103,178,121,237,72,159,207,3,35,122,53,171,112,82,204,139,73,101,137,239,140,12,238,145,221,0,230,73,67,154,254,255,77,178,145,87,66,29,131,
77,223,111,62,61,65,56,214,100,56,16,56,163,77,108,72,218,70,244,114,19,240,54,253,183,88,10,5,69,129,23,70,245,73,28,44,35,122,101,254,194,119,187,226,251,34,55,182,177,194,220,10,231,186,83,252,12,236,
102,189,139,185,121,151,234,48,233,82,229,139,209,0,46,165,84,41,144,246,9,122,102,74,116,91,59,149,197,155,199,246,243,224,79,50,245,227,208,18,23,221,58,100,86,222,143,233,227,230,160,102,93,5,51,43,
156,225,135,185,185,227,116,63,47,255,48,72,105,113,250,95,83,46,215,128,53,239,82,245,44,145,46,85,158,40,81,74,149,186,128,129,102,183,36,93,3,187,181,12,156,84,38,254,37,27,191,217,175,249,118,21,169,
58,241,240,150,255,111,147,137,21,206,204,225,241,246,244,233,226,226,133,43,131,4,125,169,95,212,93,138,20,95,220,81,196,208,52,215,166,165,170,121,48,75,133,147,87,6,218,50,112,18,253,86,116,165,240,
186,77,54,126,179,223,239,206,14,112,197,36,31,253,75,93,105,253,150,63,105,72,203,231,53,115,51,246,198,237,25,213,219,205,157,103,164,190,248,127,68,47,55,135,117,114,113,205,73,153,111,24,224,82,241,
165,38,137,126,9,20,7,154,254,99,215,98,213,162,123,44,28,203,166,129,147,224,183,162,187,141,128,104,109,252,102,191,34,191,226,254,115,2,172,185,181,136,221,247,21,39,156,32,216,92,167,66,149,240,44,
43,51,43,156,190,93,154,126,127,46,63,46,30,162,169,216,63,71,105,214,72,111,218,3,186,3,187,185,248,235,121,1,182,252,166,152,242,91,139,88,253,203,162,22,213,85,81,130,28,147,129,227,188,49,208,5,148,
153,221,138,116,37,174,112,90,79,156,241,253,147,143,223,36,210,33,160,56,111,116,219,191,122,143,31,228,73,248,155,220,172,49,156,131,10,84,139,129,89,175,27,126,149,98,149,51,168,126,34,158,215,13,63,
61,49,245,149,46,167,29,233,97,217,245,133,92,50,193,215,48,110,212,191,212,213,98,48,190,249,166,103,32,115,113,242,72,153,11,232,212,230,195,44,228,160,2,213,162,44,135,182,199,112,46,59,46,253,186,
253,213,207,218,158,185,119,92,130,113,161,234,58,109,218,222,200,189,59,39,190,120,207,26,238,101,92,130,193,246,230,26,207,159,188,98,146,175,205,42,207,165,224,23,167,250,121,238,242,96,194,159,203,
142,202,166,223,135,68,143,145,185,56,121,163,147,11,40,50,187,21,233,72,118,65,181,246,162,237,221,217,197,105,71,166,23,56,219,246,105,94,249,36,149,192,73,48,96,108,226,248,77,159,46,201,191,15,119,
207,108,123,67,176,218,240,129,182,187,93,48,231,59,5,73,7,157,75,139,21,175,252,40,200,255,205,240,39,29,243,218,222,44,112,164,75,149,215,138,92,64,177,217,173,72,199,208,67,18,191,56,199,246,243,224,
75,210,101,186,114,178,47,237,61,143,175,126,186,150,154,112,235,143,233,92,168,24,210,163,229,19,155,57,203,56,89,32,3,140,233,235,230,91,35,90,15,222,230,203,49,6,148,186,88,126,83,33,215,156,228,163,
91,135,120,117,57,166,175,155,75,39,250,248,240,198,34,166,14,78,222,79,141,105,216,85,117,32,112,148,34,97,120,29,42,183,198,243,69,177,7,187,5,78,146,219,181,5,222,248,124,152,183,214,52,221,38,180,
200,175,248,222,248,244,170,155,5,171,34,60,182,180,141,180,1,38,12,112,39,252,205,110,230,42,241,214,2,7,224,206,51,252,204,93,30,166,46,73,241,150,104,253,215,128,82,23,191,62,51,192,29,167,7,210,10,
238,138,106,221,100,201,73,161,79,37,252,126,117,239,32,21,78,158,40,182,93,133,51,236,144,228,99,10,147,7,182,252,109,123,201,4,111,139,185,31,173,169,139,192,229,143,213,166,244,216,198,219,99,52,182,
209,204,10,167,75,235,23,111,223,46,46,174,156,148,124,48,56,212,202,154,178,116,171,196,150,227,55,137,31,215,227,32,169,112,242,68,177,11,40,48,187,21,169,234,24,84,173,78,222,59,111,116,211,112,185,
116,162,143,223,156,149,222,70,230,143,190,83,199,154,109,169,5,70,162,1,99,48,183,194,73,101,230,238,141,211,253,116,42,76,252,184,100,149,79,38,42,170,154,143,223,36,254,156,221,37,112,242,69,129,173,
106,217,239,140,109,121,52,111,99,253,75,93,188,245,211,32,183,157,230,231,205,159,22,242,231,111,167,215,5,136,196,224,206,151,235,82,122,108,231,66,197,81,61,147,4,142,137,131,198,173,125,127,246,43,
9,42,110,158,145,248,54,121,216,192,163,185,118,85,167,24,56,29,218,158,104,217,191,212,197,107,179,131,114,244,142,205,217,38,112,148,130,31,28,215,246,188,144,35,14,117,115,195,52,127,70,219,87,254,
227,221,112,202,103,139,127,119,188,55,233,173,120,51,7,141,3,41,206,53,186,252,56,31,101,9,22,119,134,211,217,171,181,13,205,43,156,146,36,85,149,215,29,15,240,214,220,56,205,207,241,131,60,45,214,98,
9,123,177,77,224,156,120,184,39,229,217,178,153,122,242,189,182,7,138,33,62,150,209,90,248,153,89,225,4,188,169,93,144,94,55,220,149,160,187,153,203,10,231,244,163,146,167,97,247,86,22,206,30,84,160,26,
206,129,239,92,36,129,99,103,182,9,156,239,140,205,253,130,155,84,207,145,58,245,8,15,189,90,185,27,180,125,159,121,21,78,65,26,219,224,159,118,164,167,197,250,50,35,3,103,116,31,119,67,151,182,83,161,
226,252,86,102,110,247,56,40,249,247,243,220,81,222,134,219,233,93,36,112,108,205,22,231,116,116,12,170,180,39,238,101,162,54,181,2,135,171,38,39,191,170,247,214,154,187,181,104,192,147,222,5,121,207,
55,253,140,184,35,130,174,207,90,35,187,84,163,122,187,249,236,23,69,172,254,58,198,148,65,238,86,87,173,183,54,112,220,184,123,220,86,215,75,88,155,45,42,156,89,35,188,237,178,162,56,209,62,59,205,253,
236,68,95,171,231,41,109,219,107,94,119,202,165,72,58,249,49,153,225,135,185,153,125,252,129,0,245,182,181,10,54,77,3,74,227,7,222,181,181,69,70,107,183,198,27,143,53,73,224,216,155,45,2,167,95,215,246,
105,230,157,103,4,24,156,96,230,240,126,55,207,240,39,28,247,104,172,249,84,254,246,148,206,226,212,198,238,60,35,208,176,101,171,89,187,4,182,214,165,106,124,170,170,116,169,236,205,22,93,170,84,231,
197,100,171,192,11,175,252,40,200,191,223,143,240,250,234,8,203,190,136,50,160,212,197,200,222,110,38,15,244,112,106,10,71,211,110,51,232,4,207,76,20,164,177,209,86,99,62,15,204,253,65,144,139,231,212,
100,188,9,89,182,154,111,169,177,223,193,29,155,46,214,149,192,177,55,91,4,206,63,222,173,227,255,102,248,57,164,99,238,95,108,61,75,92,204,158,234,99,246,212,204,14,33,53,234,200,224,76,100,211,237,60,
164,99,124,33,166,89,70,39,217,171,232,200,67,155,254,187,4,142,189,217,162,75,85,19,134,241,119,85,177,228,115,3,111,161,228,200,54,19,239,80,165,59,96,108,37,221,58,168,132,235,192,154,79,174,236,90,
108,139,151,172,72,194,54,63,189,47,118,198,152,120,119,21,191,124,49,148,214,177,190,237,205,174,21,142,21,36,170,114,78,105,182,125,171,84,56,246,102,155,192,129,248,97,119,55,191,16,162,236,166,74,
174,124,188,150,231,63,138,176,175,214,90,231,63,153,57,134,147,238,226,74,171,105,30,56,23,140,241,50,97,64,243,10,71,2,199,206,108,49,134,211,220,186,29,49,30,88,88,199,3,11,235,240,186,227,251,188,
156,48,56,62,137,109,84,31,119,198,119,107,140,96,102,224,164,58,143,200,170,166,13,243,240,247,119,221,172,216,24,229,156,81,94,238,253,86,203,59,130,82,225,216,155,45,3,167,177,112,20,222,94,19,229,
237,53,81,32,132,223,19,223,44,125,226,0,15,19,7,184,25,219,207,157,116,209,96,46,152,217,165,178,123,224,12,236,230,226,195,27,11,217,81,169,147,6,75,73,80,225,118,165,126,180,179,176,22,219,7,78,115,
161,200,129,0,186,29,240,184,224,232,195,220,156,126,148,135,239,142,243,101,124,216,93,170,204,28,52,110,109,47,155,246,182,121,183,102,214,67,213,84,215,197,167,26,164,51,97,175,181,42,198,165,96,112,
119,23,43,55,75,226,216,145,205,123,253,109,139,196,96,217,23,81,110,152,27,162,231,181,251,56,251,193,26,22,150,231,110,237,65,243,77,167,218,147,85,42,28,173,225,59,115,106,120,123,77,148,247,191,140,
114,211,127,66,134,62,255,152,20,142,239,17,214,228,248,192,105,44,28,133,167,222,11,51,249,158,106,6,223,92,201,125,11,234,12,61,93,33,28,53,111,166,46,64,173,69,42,156,215,87,71,152,255,233,129,80,127,
45,133,211,47,210,49,166,175,227,10,243,188,145,87,129,211,216,170,175,99,204,126,170,150,67,174,217,199,197,115,106,12,153,205,236,117,195,210,235,10,83,58,207,42,23,234,34,52,44,194,52,211,179,31,54,
13,152,221,53,198,54,42,217,36,65,97,125,121,27,56,251,213,132,225,111,75,194,12,185,37,126,171,61,219,65,223,160,79,241,143,139,11,248,211,183,3,166,220,45,51,115,165,58,196,3,111,238,242,166,125,187,
221,6,159,209,117,120,15,23,29,18,156,111,37,172,47,239,3,103,191,112,20,30,88,88,71,191,27,43,185,125,94,40,229,189,113,146,185,108,162,143,69,215,20,182,121,138,130,209,26,159,43,101,134,165,235,163,
108,110,182,1,153,207,163,154,28,176,151,45,151,34,225,241,202,194,250,36,112,154,217,87,171,185,241,63,33,6,220,84,201,195,139,195,89,221,126,29,209,203,205,251,55,20,50,109,104,251,149,58,102,87,56,
207,126,216,114,228,122,66,127,119,155,39,163,166,171,249,132,64,97,15,18,56,73,108,222,173,249,222,223,107,56,242,214,74,230,173,204,252,42,238,84,168,120,241,202,32,119,207,204,172,139,117,250,81,30,
134,31,150,250,197,101,118,133,211,124,252,6,224,132,195,141,15,220,147,114,240,156,34,247,36,112,218,240,201,230,24,211,255,80,205,241,247,86,83,190,53,179,114,71,41,248,201,9,62,62,184,177,136,99,122,
165,30,30,211,135,121,120,250,210,32,223,56,50,245,139,171,214,196,10,167,42,164,249,124,123,203,239,209,212,65,198,87,35,163,250,184,41,9,202,56,142,221,72,224,164,232,245,85,17,142,188,181,146,95,191,
146,249,226,209,195,123,184,120,247,218,66,110,57,213,143,167,141,239,252,180,161,30,158,185,44,136,199,149,222,46,119,33,19,43,156,68,115,144,142,238,233,110,245,240,194,76,185,20,105,133,183,176,6,9,
156,52,212,134,225,218,103,67,140,254,85,21,31,109,204,108,171,12,143,43,190,115,224,210,235,10,153,57,220,155,176,155,53,227,8,15,207,93,30,108,248,88,178,67,235,18,182,209,196,10,39,81,224,252,126,86,
32,103,103,73,201,186,42,251,145,142,112,6,222,255,50,202,200,59,170,248,249,73,126,110,154,238,79,123,31,97,136,239,37,252,244,165,5,84,84,7,120,242,189,48,111,150,71,25,118,72,124,119,193,73,101,30,
188,141,126,121,167,83,225,24,121,114,102,186,154,111,175,58,107,164,151,241,253,115,87,133,200,25,85,246,35,129,147,161,112,20,110,155,23,226,217,15,195,60,124,65,65,198,211,237,75,130,138,203,38,250,
184,108,98,242,199,164,115,22,83,157,137,179,141,27,47,146,237,211,197,197,221,51,211,59,102,57,93,137,198,139,132,181,73,151,42,75,159,110,137,49,238,174,42,102,63,85,155,245,220,157,100,210,170,112,
76,220,20,113,92,63,55,63,57,193,199,213,83,125,188,243,243,194,156,110,9,27,141,193,59,235,172,191,3,164,104,74,42,28,3,196,52,220,183,160,142,231,63,138,240,215,243,3,28,223,202,49,50,153,232,126,80,
252,236,237,84,150,45,152,217,165,82,138,156,87,53,251,205,121,39,76,101,200,2,235,56,68,90,164,194,49,208,186,29,49,166,222,91,205,85,79,212,26,122,225,23,120,91,63,10,183,177,58,3,15,178,179,170,77,
187,53,87,63,93,107,118,51,68,6,36,112,114,224,254,55,234,56,238,158,42,54,86,24,55,198,144,236,24,149,230,204,172,112,218,195,198,138,24,51,238,175,102,143,193,11,66,69,251,144,192,201,145,119,215,69,
25,126,123,21,11,86,25,147,0,125,83,60,12,208,201,129,243,222,151,81,70,221,89,197,242,13,50,118,99,87,18,56,57,180,125,159,230,196,251,170,185,227,229,80,214,219,70,164,90,225,24,121,54,184,85,236,174,
214,252,228,233,90,198,221,85,197,150,61,206,251,250,242,137,12,26,231,88,76,195,13,115,67,188,187,46,202,223,191,83,64,199,12,167,227,247,73,181,75,229,160,95,254,181,97,120,100,113,29,55,191,16,50,117,
39,69,97,28,9,156,118,242,194,138,8,199,220,94,197,51,151,21,180,56,220,45,21,101,41,238,36,232,132,46,213,242,13,81,30,94,28,230,177,165,97,67,119,100,20,230,147,192,105,71,235,118,196,24,251,235,42,
254,120,110,1,23,141,77,111,87,192,49,125,220,244,233,226,98,253,142,214,7,162,237,122,151,106,79,141,230,95,255,11,243,208,162,48,31,124,229,160,50,77,52,33,129,211,206,106,194,241,13,198,151,111,140,
114,95,130,115,151,146,81,10,190,63,193,203,117,207,181,190,33,185,157,42,28,173,225,205,53,17,30,94,20,230,153,15,194,212,88,100,19,120,145,59,18,56,38,249,221,130,58,20,36,60,236,45,153,139,199,249,
184,249,133,80,171,161,98,135,192,217,180,91,51,231,157,58,254,182,36,204,90,3,246,146,22,246,33,129,99,162,251,22,212,17,240,42,238,60,195,159,210,227,75,139,21,103,28,229,229,201,247,146,151,2,126,139,
158,47,94,23,129,231,87,132,121,100,113,152,249,159,70,228,32,187,60,37,129,99,178,95,253,55,68,73,80,113,205,73,190,148,30,127,217,113,173,7,206,160,238,214,154,233,176,98,99,148,71,150,132,249,231,187,
97,118,86,217,115,124,73,24,71,2,199,2,110,152,91,203,113,101,238,148,142,63,153,84,230,97,230,112,47,255,254,32,113,232,12,238,110,254,166,84,21,213,241,1,224,71,22,203,0,176,104,74,1,242,107,199,2,250,
151,198,207,213,78,229,28,244,221,213,154,225,183,87,181,184,99,213,185,80,177,229,55,197,77,246,210,105,47,49,13,11,86,69,120,100,113,152,185,203,195,150,57,5,84,88,139,4,142,133,92,127,138,159,219,79,
79,109,60,231,235,189,154,153,127,174,102,241,231,7,42,136,127,95,90,192,89,195,219,119,16,103,253,142,24,143,190,19,230,209,37,97,190,218,37,3,51,162,117,18,56,22,114,104,137,139,47,239,44,74,249,72,
149,72,12,222,42,143,240,225,134,24,83,6,185,57,58,131,9,133,153,250,224,171,40,63,253,119,136,133,229,17,75,156,246,41,236,65,2,199,98,22,204,14,50,197,224,253,116,140,182,125,95,188,75,103,228,106,120,
145,31,172,117,75,67,176,45,203,163,134,115,45,26,131,179,31,172,145,176,17,25,145,192,177,152,194,20,6,141,205,116,253,220,90,222,88,109,131,217,133,194,146,36,112,44,164,56,160,82,186,53,110,150,231,
62,140,112,215,43,117,102,55,67,216,152,4,142,133,92,115,146,143,210,98,107,86,56,219,247,105,46,249,71,141,217,205,16,54,39,129,99,17,103,143,240,242,179,19,83,187,37,110,134,31,63,85,43,51,133,69,214,
36,112,44,224,218,147,253,60,254,189,130,132,167,112,90,193,188,149,17,254,245,63,153,201,39,178,103,209,151,120,126,40,244,43,30,60,63,192,57,35,45,186,226,18,216,87,171,185,236,159,114,66,130,48,134,
4,142,73,6,118,115,241,204,101,65,134,28,108,237,34,243,186,231,66,108,144,91,224,194,32,18,56,38,152,57,220,203,35,23,6,40,14,88,115,128,120,191,37,159,71,249,227,155,114,87,74,24,71,2,167,29,121,92,
240,235,179,2,92,61,53,181,173,40,204,84,23,129,239,253,163,70,150,45,8,67,73,224,180,147,30,7,41,158,188,36,200,132,1,214,157,103,211,216,109,243,66,124,182,69,186,82,194,88,178,150,170,29,76,28,224,
230,201,239,7,83,62,174,215,108,171,190,142,113,196,47,43,9,203,86,54,194,96,82,225,228,216,79,78,240,241,171,51,3,120,172,61,54,220,196,213,79,215,74,216,136,156,144,192,201,145,226,128,226,111,23,6,
218,125,127,154,108,205,91,25,225,229,149,178,86,74,228,134,4,78,14,12,61,56,126,203,59,213,195,235,172,34,28,133,171,159,146,57,55,34,119,36,112,12,118,238,40,47,127,61,47,96,249,85,223,137,60,176,176,
142,213,91,101,160,88,228,142,12,26,27,196,231,129,223,126,51,192,21,147,172,127,203,59,145,29,149,154,1,55,85,178,91,142,214,21,57,36,21,142,1,74,139,21,255,249,65,144,49,125,237,113,203,59,145,219,230,
133,36,108,68,206,73,224,100,169,172,155,139,151,127,24,164,111,23,123,141,215,52,182,171,74,243,208,34,89,156,41,114,79,2,39,11,99,251,185,121,254,138,32,157,11,237,55,94,211,216,3,11,235,168,10,73,117,
35,114,79,2,39,67,103,30,237,229,177,239,22,16,176,215,93,239,22,106,195,112,255,27,178,94,74,180,15,251,246,3,76,116,213,100,31,79,95,106,255,176,1,120,234,253,176,229,55,110,23,206,33,21,78,154,174,
156,236,227,247,179,2,102,55,195,48,203,190,144,41,197,162,253,72,133,147,134,111,143,246,242,251,179,157,19,54,0,43,55,201,188,27,209,126,36,112,82,52,125,152,135,71,47,42,64,217,123,124,184,133,181,
219,37,112,68,251,145,192,73,65,89,55,23,79,95,26,180,213,2,204,84,245,238,236,176,4,21,150,230,192,75,200,120,247,204,12,80,224,128,1,226,68,142,233,101,223,201,138,194,126,36,112,218,112,210,16,15,51,
142,112,238,216,250,164,50,231,126,109,194,122,36,112,218,240,163,41,246,92,27,149,170,111,28,233,177,252,70,238,194,57,228,149,214,134,35,15,117,118,151,195,165,224,150,83,173,123,0,159,112,22,9,156,
86,116,46,84,28,220,209,249,131,170,51,135,123,249,195,44,231,142,83,9,235,144,192,105,133,215,217,197,77,19,87,78,246,241,193,141,69,156,60,196,99,217,19,64,133,253,201,126,56,173,112,41,8,253,177,131,
35,111,135,183,166,38,12,139,214,70,120,237,179,8,175,126,26,229,227,77,81,34,50,93,71,24,64,2,167,13,235,239,40,162,119,231,60,75,156,102,194,81,88,187,45,198,170,175,99,172,250,58,90,255,103,252,109,
111,173,188,124,68,234,36,112,218,240,208,5,5,124,119,156,12,110,36,179,121,183,102,229,230,40,31,111,138,177,98,99,252,207,79,183,68,9,201,62,236,34,1,9,156,54,156,126,148,135,231,46,15,154,221,12,91,
137,198,160,124,107,140,21,155,154,6,209,151,187,98,114,146,103,158,147,192,105,67,192,11,107,111,43,230,144,60,184,91,149,107,123,107,53,43,55,29,8,162,165,235,163,44,223,16,37,42,227,67,121,67,2,39,
5,223,159,224,227,47,231,57,107,149,184,85,236,171,213,44,249,60,202,91,107,162,188,181,38,194,178,47,164,59,230,100,18,56,41,240,184,96,217,245,133,28,213,51,143,238,147,155,164,54,12,255,251,34,30,62,
111,175,137,178,228,243,40,149,178,253,169,99,72,224,164,168,87,103,23,203,174,43,164,107,177,116,173,218,83,52,6,31,110,168,175,128,202,35,44,90,27,101,103,149,188,100,237,74,2,39,13,99,251,185,153,123,
121,80,66,199,68,90,195,138,77,81,230,46,143,48,119,121,132,229,27,100,199,66,59,145,192,73,83,247,14,138,191,95,92,192,9,131,101,58,174,21,124,185,51,214,16,62,111,175,141,200,0,180,197,73,224,100,64,
41,184,122,170,143,59,78,15,224,147,220,177,140,157,85,154,23,87,68,152,187,60,204,252,79,163,84,215,201,75,219,106,36,112,178,112,116,79,55,143,125,183,128,193,61,242,123,38,178,21,213,132,97,254,167,
241,240,121,225,163,136,140,251,88,132,4,78,150,92,10,38,15,244,112,225,177,94,206,60,218,67,161,95,198,119,172,38,26,131,55,203,35,60,184,40,204,179,31,134,169,147,219,238,166,145,192,49,80,145,95,49,
243,24,15,23,140,241,50,169,204,227,184,13,215,157,96,219,62,205,223,150,212,241,215,183,194,172,219,33,3,62,237,77,2,39,71,122,117,118,49,115,120,124,123,210,241,253,61,121,183,226,220,234,180,142,119,
185,254,252,86,29,47,172,144,193,230,246,34,129,211,14,58,6,21,39,15,241,112,218,145,30,102,30,227,149,240,177,152,77,187,53,15,45,170,227,161,69,97,54,86,72,242,228,146,4,78,59,235,95,234,226,23,167,
250,153,53,210,139,75,186,92,150,18,141,193,75,31,71,184,231,213,16,111,173,145,249,61,185,32,129,99,146,81,189,221,188,58,59,72,135,128,164,142,21,205,93,30,225,103,207,212,178,118,155,84,60,70,146,192,
49,209,148,65,30,94,190,42,40,115,121,44,170,46,2,127,120,163,142,91,95,10,177,167,70,46,19,35,184,129,91,204,110,68,190,90,191,35,70,69,181,102,218,48,73,28,43,114,187,226,203,89,46,24,227,227,163,141,
49,214,203,93,173,172,73,133,99,50,159,7,190,184,163,152,30,7,73,215,202,202,98,26,126,51,63,196,77,255,9,17,150,225,157,140,73,133,99,178,104,12,188,110,197,84,89,155,101,105,74,193,248,254,30,78,26,
226,225,141,213,81,42,170,229,247,116,38,164,194,177,128,146,160,98,227,175,139,8,250,164,202,177,131,29,149,154,169,247,86,243,209,70,41,117,210,37,51,66,44,160,162,90,179,248,115,121,241,218,69,151,
34,197,235,87,7,25,126,152,108,200,150,46,9,28,139,88,180,86,2,199,78,58,21,42,22,204,14,50,170,183,132,78,58,36,112,44,226,109,153,104,102,59,29,131,138,87,103,7,57,182,175,132,78,170,36,112,44,98,233,
250,168,220,253,176,161,14,1,197,252,31,7,153,48,64,66,39,21,18,56,22,81,93,167,249,224,43,73,28,59,42,242,43,94,190,42,200,228,129,114,167,177,45,18,56,22,34,227,56,246,85,232,87,188,116,85,80,182,158,
109,131,4,142,133,188,187,78,2,199,206,10,188,240,252,21,65,198,246,147,238,85,50,18,56,22,242,213,46,153,58,111,119,1,47,60,113,73,1,157,10,101,78,85,34,18,56,22,178,101,143,204,193,116,130,158,37,46,
30,185,176,192,236,102,88,146,4,142,133,124,189,55,134,150,204,113,132,211,142,244,112,213,100,159,217,205,176,28,9,28,11,9,71,227,211,230,133,51,252,102,102,128,163,229,120,232,38,36,112,44,102,203,30,
25,199,113,10,191,7,158,252,126,1,69,114,146,71,3,9,28,139,217,44,227,56,142,50,160,212,197,159,190,29,48,187,25,150,33,129,99,49,50,112,236,60,231,141,246,114,209,88,175,217,205,176,4,9,28,139,249,90,
186,84,142,116,255,172,0,131,186,203,229,38,223,1,139,217,46,131,198,142,84,232,87,252,235,123,5,121,127,82,135,4,142,197,108,223,39,129,227,84,71,247,116,115,193,177,249,221,181,146,192,177,24,169,112,
156,237,151,223,240,19,200,227,204,145,192,177,24,169,112,156,173,103,137,139,31,77,241,155,221,12,211,72,224,88,204,54,9,28,199,187,246,100,95,222,174,181,146,192,177,152,237,251,228,46,149,211,117,12,
42,110,152,150,159,85,142,4,142,197,132,34,176,175,86,170,28,167,187,98,146,143,222,157,243,239,242,203,191,175,216,6,182,238,149,192,113,58,191,7,110,59,45,255,170,28,9,28,11,90,34,27,113,229,133,115,
71,121,243,110,113,167,4,142,5,189,188,50,98,118,19,68,59,80,10,238,58,43,191,170,28,9,28,11,154,255,105,132,168,140,29,231,133,169,131,61,28,63,40,127,246,65,150,192,177,160,93,85,154,165,235,165,91,
149,47,174,152,148,63,27,117,73,224,88,148,116,171,242,199,140,35,60,116,45,206,143,121,57,18,56,22,245,242,39,18,56,249,194,235,134,243,71,231,199,122,7,9,28,139,250,224,171,168,220,30,207,35,23,143,
203,143,110,149,4,142,69,105,13,191,123,189,206,236,102,136,118,50,228,96,23,163,251,56,255,22,185,4,142,133,253,246,213,16,235,119,200,237,170,124,113,241,56,231,119,171,36,112,44,44,20,129,159,61,19,
50,187,25,162,157,204,26,233,37,232,115,246,224,177,4,142,197,61,243,65,152,55,203,229,22,121,62,232,16,80,204,28,238,236,57,57,18,56,54,240,163,39,107,137,201,248,113,94,112,250,224,177,4,142,13,124,
180,49,202,195,139,100,0,57,31,76,28,224,166,95,87,231,94,150,206,253,202,28,230,198,255,132,216,89,37,101,142,211,41,5,231,143,113,238,224,177,4,142,77,108,219,167,57,235,207,213,212,201,124,64,199,115,
242,218,42,9,28,27,121,179,60,202,165,143,213,152,221,12,145,99,35,123,187,241,59,52,115,36,112,108,230,209,37,97,126,245,95,185,85,238,100,126,15,140,114,232,36,64,9,28,27,186,126,110,136,103,63,12,155,
221,12,145,67,19,250,59,179,196,145,192,177,33,173,225,252,71,106,121,255,75,153,159,227,84,19,6,72,133,35,44,164,186,78,115,234,3,213,108,172,144,165,15,78,52,182,159,27,183,3,175,78,7,126,73,249,99,
203,30,205,169,15,212,80,21,146,219,229,78,211,33,160,56,226,16,231,85,57,18,56,54,183,124,67,148,115,31,174,145,153,200,14,52,177,76,2,71,88,208,243,31,69,248,249,179,181,102,55,67,24,108,66,127,9,28,
97,81,119,207,175,227,225,197,114,231,202,73,198,59,240,78,149,4,142,131,92,254,88,13,11,203,101,42,178,83,116,235,160,232,95,234,172,75,212,89,95,77,158,11,71,225,172,63,215,176,102,155,220,185,114,138,
158,37,206,186,68,157,245,213,8,118,85,105,102,220,95,77,69,181,140,34,59,65,169,195,78,115,144,192,113,160,242,173,49,190,249,151,26,180,100,142,237,57,237,248,24,9,28,135,90,176,42,194,99,255,147,65,
100,187,235,90,36,129,35,108,226,218,103,107,169,174,147,50,199,206,74,59,72,224,8,155,216,180,91,115,207,171,178,83,160,157,73,133,35,108,229,161,69,97,25,203,177,177,174,197,206,186,68,157,245,213,136,
22,190,218,21,99,201,58,89,85,110,87,82,225,8,219,121,98,153,12,30,219,149,140,225,8,219,249,223,122,169,112,236,170,36,168,28,181,77,133,131,190,20,145,140,204,60,182,47,151,130,142,5,206,169,114,36,
112,242,64,69,181,102,71,165,140,28,219,149,147,166,54,72,224,228,137,45,123,156,243,162,205,39,225,40,212,56,104,8,78,2,39,79,120,157,183,181,74,94,216,237,176,53,113,18,56,121,194,231,188,173,85,242,
194,158,26,9,28,97,67,62,169,112,108,105,183,4,142,176,163,131,28,116,167,35,159,172,219,238,172,59,140,18,56,121,160,123,7,69,113,64,2,199,142,62,251,90,2,71,216,76,89,55,249,49,219,213,167,91,36,112,
132,205,12,236,46,3,56,118,245,233,102,103,205,18,151,192,201,3,101,6,110,196,189,117,175,102,131,156,246,217,46,34,49,40,119,216,44,113,185,89,154,7,6,118,207,62,112,42,170,53,103,254,169,134,55,215,
196,79,133,56,182,175,155,7,206,9,112,84,79,169,158,114,165,124,107,140,58,135,29,194,33,21,78,30,200,118,12,103,79,141,102,234,189,213,44,44,143,160,53,104,13,75,62,143,50,225,55,213,188,244,177,195,
174,8,11,249,120,147,179,186,83,32,129,227,120,30,23,244,237,146,221,143,249,151,47,134,248,224,171,150,47,254,202,144,230,180,63,86,243,174,236,183,147,19,43,54,58,171,59,5,18,56,142,215,167,139,43,171,
101,13,235,119,196,184,127,97,242,109,74,163,49,248,206,156,26,106,29,180,222,199,42,86,56,180,194,169,49,187,17,34,119,178,29,191,185,229,133,80,155,227,8,171,190,142,113,243,11,114,182,185,209,62,222,
228,184,10,167,198,5,236,51,187,21,34,119,6,102,49,126,179,167,70,243,244,251,169,149,46,247,188,90,199,82,217,232,203,48,123,106,52,95,238,116,92,224,236,147,192,113,184,209,125,50,239,79,61,245,239,
212,61,171,0,0,8,216,73,68,65,84,94,56,229,173,17,246,119,173,66,50,134,108,136,181,14,187,29,94,79,2,199,201,148,130,73,101,153,207,124,120,244,157,244,6,102,62,219,18,227,230,231,67,25,127,62,113,64,
204,89,107,54,247,219,231,2,42,205,110,133,200,141,33,61,92,25,31,21,187,121,183,102,201,231,233,119,145,238,126,53,196,178,47,164,107,149,45,151,51,151,190,85,186,128,93,102,183,66,228,198,228,129,153,
87,55,139,63,207,172,111,20,141,193,53,207,72,149,147,45,151,51,239,31,239,114,1,229,102,183,66,228,70,118,129,147,121,149,178,176,60,194,155,229,82,229,100,163,216,239,200,18,167,220,5,172,54,187,21,
194,120,110,23,28,87,150,249,128,241,162,181,217,5,198,47,94,148,42,39,27,253,75,93,140,234,237,184,101,35,171,37,112,28,234,155,199,120,233,84,152,217,111,201,170,144,230,163,13,217,5,206,27,171,35,188,
189,70,170,156,108,60,125,105,1,39,12,246,80,228,156,106,103,181,2,74,129,173,102,183,68,24,199,165,224,189,27,10,57,58,195,133,149,175,175,138,112,252,189,213,89,183,99,202,32,15,11,102,7,179,126,158,
124,23,211,240,201,230,24,203,190,136,178,124,67,148,37,235,162,188,255,165,45,195,188,155,71,107,189,77,41,85,1,148,152,221,26,97,140,219,78,243,103,28,54,128,97,103,145,191,190,42,194,162,181,81,198,
247,119,92,215,160,93,185,20,12,59,196,197,176,67,92,128,23,136,31,223,60,251,169,90,190,222,107,155,251,231,21,90,235,109,251,199,194,151,154,218,20,97,136,226,128,226,206,51,252,92,119,138,63,171,231,
217,106,224,139,88,198,114,114,99,214,72,47,31,222,84,68,207,18,219,220,206,90,10,7,22,111,190,97,98,67,68,150,60,46,248,193,36,31,107,111,43,226,218,147,179,11,27,192,208,61,88,94,251,44,194,231,14,219,
8,220,42,186,119,80,60,127,69,1,133,246,24,227,121,3,14,4,206,66,243,218,33,50,17,240,194,132,1,110,174,59,197,207,39,183,20,241,192,57,1,74,51,156,228,215,92,93,212,216,50,253,137,101,178,148,60,87,142,
234,233,230,170,201,62,179,155,145,138,133,112,96,199,191,247,129,189,64,7,179,90,35,90,87,18,84,140,235,239,102,124,127,55,19,250,123,24,209,203,157,179,195,237,140,222,101,238,241,101,97,110,152,150,
125,229,37,18,251,225,20,31,191,125,173,237,85,253,38,218,75,60,99,226,129,163,181,142,42,165,222,6,166,155,217,42,113,64,199,160,98,226,0,55,147,7,122,152,84,230,230,136,67,221,237,54,221,253,186,83,
252,188,89,30,97,211,110,99,42,157,79,54,199,248,120,83,172,126,208,83,24,173,199,65,138,137,3,60,188,246,153,101,19,231,109,173,117,20,154,238,105,60,15,9,28,83,21,120,225,91,35,188,124,127,130,143,49,
125,219,47,96,154,27,122,176,139,229,55,21,241,175,255,133,121,124,89,56,235,29,253,130,62,133,71,178,38,167,6,119,119,241,218,103,102,183,34,169,121,251,255,162,180,142,255,22,83,74,117,2,182,0,182,232,
16,58,201,97,157,92,204,158,234,227,194,99,189,148,4,173,55,0,88,81,173,89,179,45,198,154,173,49,214,110,143,53,249,251,174,170,248,235,199,237,130,2,175,162,192,87,255,167,23,74,59,40,166,14,242,112,
230,112,47,67,15,150,196,201,165,123,95,171,227,234,167,45,185,9,90,29,208,67,107,189,11,26,85,56,90,235,93,74,169,151,128,51,204,106,89,62,186,100,130,143,123,102,250,45,125,50,102,73,80,49,170,183,59,
225,84,251,170,144,198,235,86,57,27,79,18,169,217,81,105,217,249,56,47,237,15,27,104,121,76,204,28,36,112,218,133,207,3,207,94,22,100,250,48,123,95,169,54,185,37,235,120,95,88,119,119,192,57,141,223,105,
94,231,206,3,118,180,95,91,242,215,239,206,14,216,62,108,132,53,236,172,210,188,184,194,146,3,198,59,104,52,126,3,205,2,71,107,29,166,89,34,9,227,245,47,117,113,217,68,25,42,19,198,184,125,94,136,189,
181,150,236,82,205,169,207,148,6,137,70,242,126,11,200,124,244,28,242,75,97,35,12,160,117,252,84,141,251,22,36,63,198,199,68,33,226,89,210,68,139,192,209,90,111,6,30,109,135,6,229,173,79,54,199,184,123,
190,37,95,36,194,6,118,87,107,158,122,47,204,244,251,171,249,197,139,33,180,37,139,27,30,173,207,146,38,26,110,139,55,249,71,165,250,18,223,9,80,150,249,230,208,153,71,123,153,121,140,135,25,195,60,150,
190,75,229,52,47,175,140,112,215,43,117,236,174,209,148,22,43,102,141,244,50,115,184,245,126,6,117,17,88,191,51,62,5,97,205,182,248,52,132,229,27,162,44,93,31,37,106,217,49,98,0,162,64,153,214,122,93,
243,15,36,12,28,0,165,212,63,129,111,231,184,97,130,120,23,171,95,215,248,134,231,93,138,92,116,45,82,116,105,244,214,227,32,197,200,222,110,203,93,16,118,19,141,193,119,255,94,195,156,4,167,81,248,61,
241,117,73,35,123,199,223,14,237,168,232,92,164,232,84,168,232,20,84,89,221,141,171,9,67,69,149,166,162,186,217,91,149,102,87,253,159,137,62,182,189,82,91,61,88,146,121,76,107,125,94,162,15,180,22,56,
253,129,149,128,44,130,177,0,183,43,126,65,156,120,184,135,75,39,120,233,213,89,38,210,165,35,28,133,115,31,170,225,223,31,100,182,144,212,239,129,128,87,161,53,104,226,155,98,105,13,90,107,52,52,252,
187,214,141,62,86,255,126,158,9,1,67,181,214,107,19,125,48,105,224,0,40,165,126,9,220,148,163,134,137,12,185,93,241,238,216,45,167,250,57,188,135,4,79,91,42,170,53,51,255,82,195,235,171,44,121,235,216,
105,110,213,90,255,95,178,15,182,21,56,1,224,83,160,79,14,26,38,178,20,240,194,29,167,7,248,241,241,62,148,244,182,18,90,187,45,198,244,251,171,41,223,106,207,190,137,205,172,7,14,215,90,39,93,99,209,
106,224,0,40,165,166,3,47,26,220,48,97,160,41,131,60,60,122,81,192,78,187,191,229,84,76,195,130,85,17,254,249,110,152,103,62,140,80,21,202,191,126,141,73,102,104,173,95,106,237,1,109,6,14,128,82,234,89,
100,201,131,165,117,12,42,30,56,39,192,185,163,188,102,55,37,107,49,13,161,8,132,194,154,112,20,34,49,8,71,227,127,111,254,254,206,74,205,230,61,154,205,187,99,108,222,173,217,188,39,198,123,95,70,217,
108,208,214,26,34,101,207,105,173,207,108,235,65,169,6,78,103,96,57,112,168,1,13,19,57,52,162,151,155,233,195,60,156,60,196,195,168,62,233,111,113,17,142,66,101,72,83,25,210,212,134,161,54,12,161,136,
38,20,129,218,176,174,15,2,168,141,104,66,245,31,139,63,166,241,223,155,61,190,205,255,187,255,241,241,191,135,109,121,32,65,94,219,8,28,165,181,222,217,214,3,83,10,28,0,165,212,120,226,219,4,202,220,
28,155,232,24,84,148,22,43,10,188,138,128,55,62,230,83,224,85,120,221,80,85,7,149,181,186,62,92,14,132,140,133,119,141,19,214,20,5,38,105,173,23,165,242,224,148,3,7,64,41,117,29,112,71,134,13,19,66,56,
207,245,90,235,59,83,125,112,186,129,163,128,255,2,39,102,208,48,33,132,179,204,7,78,214,105,132,72,90,129,3,160,148,42,1,222,2,134,166,215,54,33,132,131,172,4,38,106,173,43,210,249,79,105,7,14,128,82,
234,96,96,9,208,43,237,255,44,132,176,187,47,129,177,137,22,103,182,37,163,137,27,245,159,232,68,100,179,46,33,242,205,14,224,196,76,194,6,50,12,28,0,173,117,57,112,10,176,47,211,231,16,66,216,202,62,
224,148,250,107,63,35,89,77,77,213,90,191,7,76,65,42,29,33,156,110,7,48,165,254,154,207,88,70,99,56,45,158,68,169,50,226,35,214,50,166,35,132,243,124,73,188,27,149,113,101,179,159,33,139,111,234,27,50,
150,248,200,181,16,194,57,86,18,31,32,206,58,108,192,160,192,129,134,129,228,137,196,43,29,33,132,253,205,39,126,235,59,163,1,226,68,12,93,94,92,127,79,254,100,224,122,226,83,158,133,16,246,19,37,126,
13,159,156,238,60,155,182,24,50,134,147,240,137,227,107,175,30,71,22,124,10,97,39,27,129,115,82,93,27,149,174,156,109,160,82,223,224,163,128,231,114,245,57,132,16,134,122,142,248,170,239,156,132,13,228,
48,112,0,180,214,59,235,247,200,152,65,124,55,48,33,132,245,172,39,190,121,214,153,169,108,49,145,141,118,217,34,174,126,23,176,195,129,91,145,67,246,132,176,138,16,241,107,242,240,182,118,234,51,74,206,
198,112,146,126,194,248,105,16,183,0,179,144,189,117,132,48,67,20,120,2,184,37,217,233,10,185,210,238,129,211,240,137,227,135,237,93,3,92,132,28,69,35,68,123,8,17,63,85,247,174,68,135,212,181,7,211,2,
167,161,1,241,149,231,87,3,23,2,93,76,109,140,16,206,180,3,152,3,252,214,200,57,53,153,48,61,112,246,83,74,121,129,105,196,131,103,58,224,51,183,69,66,216,90,29,240,18,241,160,153,167,181,206,236,4,64,
131,89,38,112,26,83,74,117,34,62,198,51,13,152,0,116,48,183,69,66,216,194,94,224,109,96,30,240,132,214,122,151,201,237,105,193,146,129,211,152,82,202,13,28,3,76,2,38,3,163,129,18,51,219,36,132,69,84,0,
75,129,55,136,31,112,240,190,214,218,210,51,252,45,31,56,137,40,165,186,2,131,128,129,245,111,101,64,39,160,8,40,110,244,86,96,86,27,133,200,66,13,241,189,103,246,191,85,2,187,128,114,96,245,254,55,173,
245,54,211,90,152,161,255,7,59,56,203,220,62,220,113,127,0,0,0,0,73,69,78,68,174,66,96,130,0,0};

const char* about::icon_png = (const char*) resource_about_icon_png;
const int about::icon_pngSize = 10599;
